<?php

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

spl_autoload_register( function ( string $class ) {
	$prefix    = 'SplitPay\\';
	$base_dir  = __DIR__ . '/';

	if ( strncmp( $prefix, $class, strlen( $prefix ) ) !== 0 ) {
		return;
	}

	$relative_class = substr( $class, strlen( $prefix ) );
	$file           = $base_dir . str_replace( '\\', '/', $relative_class ) . '.php';

	if ( file_exists( $file ) ) {
		require_once $file;
	}
} );
